> For the complete documentation index, see [llms.txt](https://docs.inverter.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.inverter.network/contracts/technical-reference/modules/funding-manager/deposit-vault/interfaces/ifm_depositvault_v1.md).

# IFM\_DepositVault\_v1

[Git Source](https://github.com/InverterNetwork/inverter-contracts/blob/649b450f02fc8b735c128ff0821467e71966c666/src/modules/fundingManager/depositVault/interfaces/IFM_DepositVault_v1.sol)

**Author:** Inverter Network

This contract allows users to deposit tokens to fund the workflow.

*Implements {IFundingManager\_v1} interface.*

### Functions

#### deposit

Deposits a specified amount of tokens into the contract from the sender's account.

*When using the {TransactionForwarder\_v1}, validate transaction success to prevent nonce exploitation and ensure transaction integrity.*

```solidity
function deposit(uint amount) external;
```

**Parameters**

| Name     | Type      | Description                      |
| -------- | --------- | -------------------------------- |
| `amount` | `uint256` | The number of tokens to deposit. |

### Events

#### Deposit

Event emitted when a deposit takes place.

```solidity
event Deposit(address indexed _from, uint _amount);
```

**Parameters**

| Name      | Type      | Description                     |
| --------- | --------- | ------------------------------- |
| `_from`   | `address` | The address depositing tokens.  |
| `_amount` | `uint256` | The amount of tokens deposited. |

### Errors

#### Module\_\_DepositVault\_\_InvalidRecipient

Receiver address can not be zero address or Deposit Vault Funding Manager itself.

```solidity
error Module__DepositVault__InvalidRecipient();
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.inverter.network/contracts/technical-reference/modules/funding-manager/deposit-vault/interfaces/ifm_depositvault_v1.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
